API reference / Assets
List asset folders
GET
/api/v1/assets/foldersParameters
projectIdqueryrequiredstring · uuid
Project ID. generationId is accepted as an alias on project-scoped GET requests.
offsetqueryoptionalinteger
minimum: 0 · maximum: 100000
Request example
Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values.
cURL
curl --request GET \
--url "$ALF_API_URL/assets/folders?projectId=11111111-1111-4111-8111-111111111111" \
--header "Authorization: Bearer $ALF_API_KEY"Response
Successful JSON responses wrap the result in data, with a request ID in meta.requestId.
projectIddatarequiredstring · uuid
assetsdatarequiredobject[]
truncateddatarequiredboolean
nextOffsetdatarequiredinteger | null
organizationdatarequiredobject
View response schema
{
"type": "object",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"path": {
"type": "string"
},
"signedUrl": {
"type": "string"
}
},
"additionalProperties": {}
}
},
"truncated": {
"type": "boolean"
},
"nextOffset": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"organization": {
"type": "object",
"properties": {
"folders": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"memberships": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"folders",
"memberships"
]
}
},
"required": [
"projectId",
"assets",
"truncated",
"nextOffset",
"organization"
]
},
"meta": {
"type": "object",
"required": [
"requestId"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
}
}
}
}
}Errors & retries
Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.